Search found 954 matches

Go to advanced search

by Chris_G
Tue Mar 26, 2019 6:28 am
Forum: Python scripting and macros
Topic: Not understanding Property LinkList
Replies: 7
Views: 104

Re: Not understanding Property LinkList

PropertyLinkList is supposed to contain a list of links (to other FC objects), not a list of properties. o = App.ActiveDocument.addObject("App::FeaturePython","fp") help(o.addProperty) returns : Help on built-in function addProperty: addProperty(...) method of builtins.FeaturePython instance addProp...
by Chris_G
Fri Mar 22, 2019 3:41 pm
Forum: Open discussion
Topic: Curves workbench
Replies: 348
Views: 27274

Re: Curves workbench

In this case, I think Pipeshell precisely matches the sweep. In the picture below, you can see that the edge of the orange PipeShell follows the pink curves that are isocurves of the sweep. pipeshell.jpeg I think the difference you are pointing in your screenshot comes from the sweep path that has a...
by Chris_G
Fri Mar 22, 2019 8:04 am
Forum: Developers corner
Topic: How To Tell If Shape is 2D?
Replies: 22
Views: 608

Re: How To Tell If Shape is 2D?

wmayer wrote:
Fri Mar 22, 2019 6:42 am
But starting with the reference plane you have you can easily compute a rotation to align the shape with the global Z axis. If you check the bounding box of the transformed shape then its Z expansion must be 0.
This sounds way more smarter, indeed.
by Chris_G
Thu Mar 21, 2019 5:18 pm
Forum: Developers corner
Topic: How To Tell If Shape is 2D?
Replies: 22
Views: 608

Re: How To Tell If Shape is 2D?

I don't know if this is efficient, but here is another strategy : - find 3 non-aligned points of the shape - build a reference plane (P) - create 2 big faces, parallel to (P), with +d and -d offset -> compound (C) - do a distToShape between Shape and the compound (C) - resulting minimal distance sho...
by Chris_G
Fri Mar 15, 2019 8:13 am
Forum: Python scripting and macros
Topic: App::PropertyAngle
Replies: 1
Views: 73

Re: App::PropertyAngle

Hi, I don't know if you can change the internal unit of the property, but you can set the property with the unit of your choice : fp = App.ActiveDocument.addObject("Part::FeaturePython","fp") fp.addProperty("App::PropertyAngle","angle") fp.angle = 30 fp.angle >>> 30 deg fp.angle = "pi rad" fp.angle ...
by Chris_G
Wed Mar 13, 2019 10:00 am
Forum: Forum français
Topic: help !
Replies: 11
Views: 255

Re: help !

Bonjour,
Ça ressemble bien à un problème d'affichage (pilote de carte graphique).
J'ai vu plusieurs fois ce type de problème sur le forum.
by Chris_G
Tue Mar 12, 2019 7:58 am
Forum: Python scripting and macros
Topic: API call to perform a Boolean Operation.
Replies: 4
Views: 144

Re: API call to perform a Boolean Operation.

Code: Select all

c1 = Part.makeCone(10,20,40)
c2 = Part.makeCone(9,19,40)
c3=c1.cut(c2)
Part.show(c3)
by Chris_G
Mon Mar 11, 2019 2:51 pm
Forum: Developers corner
Topic: get selection order of group obj
Replies: 5
Views: 272

Re: get selection order of group obj

Hi,
Here is a related thread :
https://forum.freecadweb.org/viewtopic.php?f=22&t=34810
With a fresh compiled master, I can confirm that the selection order is now kept by getSelection().
by Chris_G
Mon Mar 11, 2019 2:43 pm
Forum: Help on using FreeCAD
Topic: Confirmation for Mantis Ticket #3899?
Replies: 11
Views: 331

Re: Confirmation for Mantis Ticket #3899?

It works OK here : OS: Ubuntu 18.04.2 LTS Word size of OS: 64-bit Word size of FreeCAD: 64-bit Version: 0.18.16083 (Git) Build type: Unknown Branch: master Hash: 4a1c04e05963e841c6067c5d3d73625e2832c27e Python version: 3.6.7 Qt version: 5.9.5 Coin version: 4.0.0a OCC version: 7.3.0.beta Locale: Fren...
by Chris_G
Sun Mar 10, 2019 6:44 pm
Forum: Python scripting and macros
Topic: Bug in FreeCAD.Gui.Selection.getSelection()?
Replies: 9
Views: 221

Re: Bug in FreeCAD.Gui.Selection.getSelection()?

wmayer wrote:
Sun Mar 10, 2019 6:19 pm
A use case for this is the class SelectionFilter where you can define an expression like "SELECT Part::Feature SUBELEMENT Face COUNT 2.." and then check if the current selection matches.
OK, I see. Thanks for the explanation.

Go to advanced search